---
title: Export as Terraform
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Magic Cloud Networking](https://developers.cloudflare.com/api/go/resources/magic_cloud_networking)

[On Ramps](https://developers.cloudflare.com/api/go/resources/magic_cloud_networking/subresources/on_ramps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Export as Terraform

client.MagicCloudNetworking.OnRamps.Export(ctx, onrampID, body) (\*Response, error)

POST/accounts/{account\_id}/magic/cloud/onramps/{onramp\_id}/export

Export an On-ramp to terraform ready file(s) (Closed Beta).

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write`

##### ParametersExpand Collapse

onrampID string

formatuuid

[Link to this property](<#(resource)%20magic_cloud_networking.on_ramps%20%3E%20(method)%20export%20%3E%20(params)%20default%20%3E%20(param)%20onramp_id%20%3E%20(schema)>)

<details>

<summary>

body OnRampExportParams

</summary>

AccountID param.Field\[string]

<a href="#(resource)%20magic_cloud_networking.on_ramps%20%3E%20(method)%20export%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_cloud_networking.on_ramps%20%3E%20(method)%20export%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

type OnRampExportResponse interface{…}

[Link to this property](<#(resource)%20magic_cloud_networking.on_ramps%20%3E%20(method)%20export%20%3E%20(network%20schema)>)

### Export as Terraform

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_cloud_networking"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.MagicCloudNetworking.OnRamps.Export(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    magic_cloud_networking.OnRampExportParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
```

##### Returns Examples